Get Workspace Analytics
curl --request GET \
--url https://app-api.walead.ai/api/v1/analytics \
--header 'x-api-key: <api-key>'import requests
url = "https://app-api.walead.ai/api/v1/analytics"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app-api.walead.ai/api/v1/analytics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"statusCode": 123,
"message": "<string>"
}Analytics
Get Workspace Analytics
Returns analytics for your workspace including campaigns, invitations, messages, and more
GET
/
v1
/
analytics
Get Workspace Analytics
Overview
Returns analytics for your workspace including campaigns, invitations, messages, and more. You can filter by date, LinkedIn account, and campaign status.Authorizations
API key for authentication. Generate from your WaLead dashboard.
Query Parameters
Filter by date (ISO 8601 format)
Filter by LinkedIn account ID
Filter campaigns by status
Available options:
active, paused, completed, error, draft Response
Analytics retrieved successfully
Workspace-level analytics